SHUTDOWN(8)

NAME
shutdown - graciously close the system down

SYNOPSIS
shutdown [-hrRmkpd] [time-specification [message]]

DESCRIPTION
Shutdown is a program which allows a system operator to close down the system in an nice way. Shutdown informs the users why and when the system is going down. This warning is issued 10 minutes before shutdown time and every minute in the last 5 minutes. At this time (5 minutes), shutdown creates a file /etc/nologin to prevent new users from logging in.

Shutdown keeps a logfile of shutdowns. Every shutdown is registered in /usr/adm/wtmp, if this file exists, and by syslog(3) (level auth.notice). After these actions, a call is done to reboot(2) which actually brings the system down.

Time-specification may be something like 15:00, 15.00, +15, or now for a shutdown at 3pm (twice), 15 minutes from now, or immediately.

The message may be used to describe why the system is going down, it may also be typed on standard input with the -m option.

OPTIONS

-h  This flag prevents the system from rebooting after the shutdown. The system can now be powered off. This is the default.

-r  This flag indicates that the system should reboot after shutting down.

-R  Reboot the system by resetting it. With -R the system will receive a hardware reset.

-p  Attempt to power off the machine after shutting down; reset if that is not possible on the current hardware.

-d  Default CTRL-ALT-DEL shutdown.

-m  Allows the operator to type a shutdown message on standard input, that will be added to the messages displayed on all terminals.

-k  This option gives the possibility of terminating an already started shutdown. This is only possible if shutdown time has not yet arrived.

-C  Check if the system crashed. This option is not used at shutdown time, but at reboot time. It tells if the file systems should be checked by testing if the last entry in the wtmp file is a shutdown entry. (A crude replacement for a file system clean flag.)

SEE ALSO
reboot(2), syslog(3), halt(8), boot(8).

AUTHOR
Edvard Tuinder (v892231@si.hhs.NL)